qpid-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gordon Sim <g...@redhat.com>
Subject Re: qpid 0.8 queries
Date Tue, 19 Jul 2011 10:12:26 GMT
On 07/19/2011 10:24 AM, Nithesh Shetty wrote:
>
> Red Hat Endterprise Linux Server release 5 (Tikanga)
> libdb-4.3.so /usr/lib

Strange, that should certainly work. What version of db4-devel do you 
have (rpm -qv db4-devel)?

> and i have installed qpid
>
> but still when i try to call configure for the persistance module
>
> it say use --with-qpid-checkout

It seems qpid no longer installs the internal broker headers files 
needed for compiling the store. It also appears that with-qpid-checkout 
will only work against a full svn checkout of the qpid tree and not 
against a source release.

That means you need to check out and rebuild Qpid from the svn branch 
for 0.10:

svn co https://svn.apache.org/repos/asf/qpid/branches/0.10
cd qpid/cpp
./bootstrap
./configure
make

then use the root of this checkout (the qpid dir) as the path to 
--with-qpid-checkout for your store build.


---------------------------------------------------------------------
Apache Qpid - AMQP Messaging Implementation
Project:      http://qpid.apache.org
Use/Interact: mailto:users-subscribe@qpid.apache.org


Mime
View raw message